Subject: Re: [PATCH v2 6/6] clone: add tests for cloning with empty path

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 31 Jul 2015 10:45:37 +0200

On Thu, Jul 30, 2015 at 05:58:04PM -0700, Junio C Hamano wrote:
> Eric Sunshine <[email-masked]> writes:
> 
> > On Wed, Jul 29, 2015 at 11:51 AM, Patrick Steinhardt <[email-masked]> wrote:
> >> Test behavior of `git clone` when working with an empty path
> >> component. This may be the case when cloning a file system's root
> >> directory or from a remote server's root.
> >>
> >> Signed-off-by: Patrick Steinhardt <[email-masked]>
> >> ---
> >> diff --git a/t/t1509-root-worktree.sh b/t/t1509-root-worktree.sh
> >> index 553a3f6..acfa133 100755
> >> --- a/t/t1509-root-worktree.sh
> >> +++ b/t/t1509-root-worktree.sh
> >> @@ -237,6 +237,45 @@ test_foobar_foobar
> 
> All true, but a more interesting question is why add more to this
> test, which is known to be skipped by everybody?  The issue being
> corrected is that any "<scheme>://<user>@<pass>:<site>/" that says
> "the whole site serves a single repository" is problematic.
> 
> Surely, file:// and ssh:// may be examples of schemes that require
> the filesystem root to be usable as the trash directory to test,
> requiring a dedicated VM (causing most people to skip t1509), but
> wouldn't "http://<user>@<pass>:<site>/" be easier to arrange to make
> the whole site serve a single repository?

Sure it would be. But unfortunately I haven't been able to get
t/lib-httpd working at my end, so that's why I then chose to
implement the tests with t1509. I agree though that the other
solution would be preferable, but I currently am not able to
provide those.